net.sf.jasperreports.data.cache

## Class PopulatedSnapshotCacheHandler

- java.lang.Object
- - net.sf.jasperreports.data.cache.PopulatedSnapshotCacheHandler

- All Implemented Interfaces:
    DataCacheHandler

      public class PopulatedSnapshotCacheHandler
      extends java.lang.Object
      implements DataCacheHandler

  Version:
    $Id: PopulatedSnapshotCacheHandler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.data.cache.DataCacheHandler

      `PARAMETER_DATA_CACHE_HANDLER, PROPERTY_DATA_PERSISTABLE, PROPERTY_DATA_RECORDABLE, PROPERTY_INCLUDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopulatedSnapshotCacheHandler(DataSnapshot snapshot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataRecorder` | `createDataRecorder()`
    `DataSnapshot` | `getDataSnapshot()`
    `boolean` | `isRecordingEnabled()`
    `boolean` | `isSnapshotPopulated()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopulatedSnapshotCacheHandler

          public PopulatedSnapshotCacheHandler(DataSnapshot snapshot)

  - ### Method Detail

    - #### isRecordingEnabled

          public boolean isRecordingEnabled()

      Specified by:
        `isRecordingEnabled` in interface `DataCacheHandler`

    - #### createDataRecorder

          public DataRecorder createDataRecorder()

      Specified by:
        `createDataRecorder` in interface `DataCacheHandler`

    - #### isSnapshotPopulated

          public boolean isSnapshotPopulated()

      Specified by:
        `isSnapshotPopulated` in interface `DataCacheHandler`

    - #### getDataSnapshot

          public DataSnapshot getDataSnapshot()

      Specified by:
        `getDataSnapshot` in interface `DataCacheHandler`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com